import lyricsgenius
from lyricsgenius.artist import Artist


def fetch(artist_name: str, max_songs=None):
    genius = lyricsgenius.Genius("zUSpjfQ9ELXDqOjx9hGfAlJGYQFrNvHh3rlDV298_QSr5ScKf3qlHZtOO2KsXspQ")
    artist: Artist = genius.search_artist(artist_name, max_songs=max_songs)
    artist.save_lyrics(overwrite=True, filename="../data/Lyrics_%s.json" % artist_name)


if __name__ == '__main__':
    fetch("Orelsan")
